Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.tree.tools
Class DistanceMatrix

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.Vector
                  jprotein.tree.tools.DistanceMatrix

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class DistanceMatrix

extends java.util.Vector

See Also:
  Serialized Form

Constructor Summary
`DistanceMatrix(MultiAlignment multiAlignment, SubstitutionMatrix sm)`

Method Summary
`java.util.Vector` | `getDistantCouple()`
`Leaf` | `getLeaf(int index)`
`java.lang.Double` | `getLowerLimitScore(int i, int j)`
`int` | `getNonGappedAlignedLength(int i, int j)`
`double` | `getUpperLimitScore(int i, int j)`
`boolean` | `isExtension(int i, int j, int k)`
`boolean` | `isGapped(int i, int j, int k)`
`void` | `setDistantCouple(Sequence seq1, Sequence seq2)`
`void` | `setMultipleAlignment(MultiAlignment multiAlignment)`
`void` | `setSubstitutionMatrix(SubstitutionMatrix sm)`
`java.lang.String` | `toString()`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### DistanceMatrix

    public DistanceMatrix(MultiAlignment multiAlignment,
                          SubstitutionMatrix sm)
                   throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getLeaf

    public Leaf getLeaf(int index)

### setSubstitutionMatrix

    public void setSubstitutionMatrix(SubstitutionMatrix sm)

### setMultipleAlignment

    public void setMultipleAlignment(MultiAlignment multiAlignment)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.Vector`

### isGapped

    public boolean isGapped(int i,
                            int j,
                            int k)

### isExtension

    public boolean isExtension(int i,
                               int j,
                               int k)

### getUpperLimitScore

    public double getUpperLimitScore(int i,
                                     int j)

### getLowerLimitScore

    public java.lang.Double getLowerLimitScore(int i,
                                               int j)

### getNonGappedAlignedLength

    public int getNonGappedAlignedLength(int i,
                                         int j)

### setDistantCouple

    public void setDistantCouple(Sequence seq1,
                                 Sequence seq2)

### getDistantCouple

    public java.util.Vector getDistantCouple()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD